# $Revision: 1.48 $, $Date: 2012/05/14 12:58:33 $
Summary:	Nautilus context menu for sending files
Summary(pl.UTF-8):	Menu kontekstowe nautilusa do wysyłania plików
Name:		nautilus-sendto
Version:	3.0.3
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/nautilus-sendto/3.0/%{name}-%{version}.tar.xz
# Source0-md5:	6d4b0e4c25075affa2a77169385de872
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.9
BuildRequires:	dbus-glib-devel >= 0.74
BuildRequires:	evolution-data-server-devel >= 3.0.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.28.0
BuildRequires:	gnome-common >= 2.20.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	gupnp-devel >= 0.13.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	nautilus-devel >= 3.0.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.28.0
Requires:	nautilus >= 3.0.0
Suggests:	file-roller
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nautilus-sendto provides a Nautilus context menu for sending files via
other desktop applications.

%description -l pl.UTF-8
nautilus-sendto dostarcza menu kontekstowe dla Nautilusa do wysyłania
plików poprzez inne aplikacje biurkowe.

%package apidocs
Summary:	nautilus-sendto API documentation
Summary(pl.UTF-8):	Dokumentacja API nautilus-sendto
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
nautilus-sendto API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API nautilus-sendto.

%package cd-burner
Summary:	nautilus-sendto CD/DVD Creator plugin
Summary(pl.UTF-8):	Wtyczka nautilus-sendto dla kreatora CD/DVD
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus-extension-brasero

%description cd-burner
A nautilus-sendto plugin for sending files to CD/DVD Creator.

%description cd-burner -l pl.UTF-8
Wtyczka nautilus-sendto do wysyłania plików do kreatora CD/DVD.

%package devel
Summary:	Header files for nautilus-sendto
Summary(pl.UTF-8):	Pliki nagłówkowe nautilus-sendto
Group:		Development/Libraries
Requires:	glib2-devel >= 1:2.28.0
Requires:	gtk+3-devel >= 3.0.0

%description devel
Header files for nautilus-sendto.

%description devel -l pl.UTF-8
Pliki nagłówkowe nautilus-sendto.

%package evolution
Summary:	nautilus-sendto Evolution plugin
Summary(pl.UTF-8):	Wtyczka nautilus-sendto dla Evolution
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Provides:	nautilus-sendto-icedove
Provides:	nautilus-sendto-sylpheed
Obsoletes:	nautilus-sendto-icedove
Obsoletes:	nautilus-sendto-sylpheed

%description evolution
A nautilus-sendto plugin for sending files via Evolution Mail. It
works with Balsa, Sylpheed and Icedove as well.

%description evolution -l pl.UTF-8
Wtyczka nautilus-sendto do wysyłania plików poprzez Evolution Mail.
Działa również z Balsą, Sylpheedem i Icedove.

%package gajim
Summary:	nautilus-sendto Gajim plugin
Summary(pl.UTF-8):	Wtyczka nautilus-sendto dla Gajima
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	dbus >= 1.0.2
Requires:	gajim >= 0.10.1

%description gajim
A nautilus-sendto plugin for sending files via Gajim.

%description gajim -l pl.UTF-8
Wtyczka nautilus-sentdo do wysyłania plików poprzez Gajima.

%package pidgin
Summary:	nautilus-sendto Pidgin plugin
Summary(pl.UTF-8):	Wtyczka nautilus-sendto dla Pidgina
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	pidgin >= 2.0
Obsoletes:	nautilus-sendto-gaim

%description pidgin
A nautilus-sendto plugin for sending files via Pidgin.

%description pidgin -l pl.UTF-8
Wtyczka nautilus-sentdo do wysyłania plików poprzez Pidgina.

%package upnp
Summary:	nautilus-sendto UPnP media server plugin
Summary(pl.UTF-8):	Wtyczka nautilus-sendto dla serwera multimediów UPnP
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	gupnp-tools

%description upnp
A nautilus-sendto plugin for sending files to UPnP media server.

%description upnp -l pl.UTF-8
Wtyczka nautilus-sendto do wysyłania plików do serwera multimediów
UPnP.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/{nautilus/extensions-3.0,nautilus-sendto/plugins}/*.la

# shipped with nautilus
%{__rm} $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-3.0/libnautilus-sendto.so

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(755,root,root) %{_bindir}/nautilus-sendto
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/plugins/libnstremovable_devices.so
%{_datadir}/GConf/gsettings/nautilus-sendto-convert
%{_datadir}/glib-2.0/schemas/org.gnome.Nautilus.Sendto.gschema.xml
%{_datadir}/nautilus-sendto
%{_mandir}/man1/%{name}.1*

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/nautilus-sendto

%files cd-burner
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/libnstburn.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/nautilus-sendto
%{_pkgconfigdir}/nautilus-sendto.pc

%files evolution
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/libnstevolution.so

%files gajim
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/libnstgajim.so

%files pidgin
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/libnstpidgin.so

%files upnp
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/%{name}/plugins/libnstupnp.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nautilus-sendto.spec,v $
Revision 1.48  2012/05/14 12:58:33  kiesiu
- updated to 3.0.3

Revision 1.47  2012/03/21 19:02:07  megabajt
- updated to 3.0.2

Revision 1.46  2011/10/29 11:03:02  megabajt
- release 3

Revision 1.45  2011/09/29 19:35:16  wiget
- rel. 2

Revision 1.44  2011/09/26 21:01:41  kiesiu
- updated to 3.0.1
- use *.xz source

Revision 1.43  2011/04/06 17:18:20  lisu
- updated BRs

Revision 1.42  2011/04/05 12:09:21  kiesiu
- updated to 3.0.0; merged from DEVEL

Revision 1.41.2.1  2011/02/21 18:58:57  megabajt
- updated to 2.91.6

Revision 1.41  2010/12/09 19:46:10  megabajt
- use %glib_compile_schemas
- release 2

Revision 1.40  2010/09/29 09:52:19  megabajt
- updated to 2.32.0; merged changes from DEVEL

Revision 1.39.2.1  2010/08/31 12:31:02  patrys
- 2.31.7

Revision 1.39  2010/08/09 12:09:59  megabajt
- updated to 2.28.5

Revision 1.38  2010/06/25 21:47:33  megabajt
- release 3

Revision 1.37  2010/04/09 13:10:59  megabajt
- removed -gnome-bluetooth subpackage (moved to gnome-bluetooth.spec)
- release 2

Revision 1.36  2010/04/02 22:00:28  sls
- removed empathy plugin; recent version comes from empathy.spec

Revision 1.35  2010/04/02 16:59:50  megabajt
- updated to 2.28.4

Revision 1.34  2010/03/15 18:52:00  megabajt
- drop en@shaw locale
- release 2

Revision 1.33  2010/03/15 18:46:27  megabajt
- updated to 2.28.3

Revision 1.32  2009/12/04 22:27:24  megabajt
- updated to 2.28.2
- removed obsolete -gajim.patch
- added -apidocs and -devel subpackages

Revision 1.31  2009/11/07 20:45:31  megabajt
- updated to 2.28.0

Revision 1.30  2009/06/17 21:18:49  hawk
- release 2

Revision 1.29  2009/05/14 09:24:15  megabajt
- updated to 1.1.5

Revision 1.28  2009/04/21 21:07:03  megabajt
- updated to 1.1.4.1

Revision 1.27  2009/04/17 16:20:29  megabajt
- updated to 1.1.4

Revision 1.26  2009/04/11 19:58:45  megabajt
- updated to 1.1.3
- added -cd-burner, -empathy and -upnp subpackages
- dropped -sylpheed and -icedove (now they are handled by evolution plugin)

Revision 1.25  2008/10/05 16:53:29  megabajt
- updated to 1.1.0

Revision 1.24  2008/08/22 12:08:56  megabajt
- updated to 1.0.1
- added icedove subpackage

Revision 1.23  2008/06/13 13:13:54  patrys
- 1.0.0

Revision 1.22  2008-03-28 14:36:12  patrys
- 0.14.0

Revision 1.21  2008-03-23 20:19:35  patrys
- bluetooth R: bluez-gnome, not gnome-bluetooth

Revision 1.20  2008-03-12 12:48:55  megabajt
- merged from DEVEL
- updated deps

Revision 1.19.2.1  2008-02-22 19:18:02  megabajt
- updated to 0.13.2
- removed -gaim20.patch (not needed)

Revision 1.19  2007-10-10 16:41:57  qboosh
- cleanup

Revision 1.18  2007/09/30 19:48:26  qrczak
- intltoolize is needed
- Release 0.2

Revision 1.17  2007/09/20 15:03:39  sls
- ver. 0.12
- s/gaim/pidgin/

Revision 1.16  2007/03/12 17:30:21  megabajt
- updated to 0.10

Revision 1.15  2007/03/03 12:02:57  arekm
- rel 2

Revision 1.14  2007/02/13 07:16:49  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.12  2006/10/12 22:20:19  megabajt
- fix Source0 URL

Revision 1.11  2006/10/12 20:48:16  megabajt
- up to 0.8

Revision 1.10  2006/08/17 13:48:38  wiget
- updated to 0.7

Revision 1.9  2006/06/24 21:47:51  freetz
- 0.6, gaijm and sylpheed plugins introduced, added patch fixing build
  with gaim 2.0, fixed gajim plugin build, removed obsolete evolution patch
  GNOME 2.15.x deps

Revision 1.8  2006/03/09 21:41:52  freetz
- 0.5, updated BR/R, splited plugins to subpkgs, (maybe) better
  descriptions

Revision 1.7  2005/09/08 15:31:31  freetz
- rel.3 for rebuild with new e-d-s

Revision 1.6  2005/08/13 20:03:07  qboosh
- kill no locale, release 2

Revision 1.5  2005/08/02 20:53:39  wiget
- updated to 0.4

Revision 1.4  2005/03/20 11:27:05  qboosh
- libtoolize, ac version
- use .so in files to indicate content type

Revision 1.3  2005/02/13 15:43:49  qboosh
- pl

Revision 1.2  2005/02/11 22:19:05  paladine
- BR: pkgconfig

Revision 1.1  2005/02/11 21:28:54  paladine
- new
